//
//	W-SIM Bluetooth I/F
//
//	MCU:		ATtiny2313
//		efuse:0xFF	自己プログラミング不許可
//		hfuse:0x9B	BOD 2.7V チップ消去から EEPROM保護
//		lfuse:0xEF	セラミック発振子 9.22MHz
//
//	Compiler:	AVR-GCC		3.4.6
//				AVR-LIBC	1.4.6
//				binutils	2.16.1
//
//	2008.2.9	1.0.2	ポートを変更可能にした
//	2008.2.8	1.0.1	デバイス名変更
//	2008.2.7	1.0.0	KAWAKAMI Yukio
//

#define		LF	10
#define		CR	13
#define		TAB	9
#define		ESC	27
#define		ON	1
#define		OFF	0

#define		NOP		asm volatile("nop\n"::)
#define		WDR		asm volatile("wdr\n"::)
#define		SLEEP	asm volatile("sleep\n"::)

typedef	unsigned char	uchar;
typedef	unsigned int	uint;
typedef	unsigned long	ulong;
typedef unsigned short	ushort;


#define		PB7			7		// PORTB
#define		PB6			6
#define		PB5			5
#define		LED3		4
#define		LED2		3
#define		LED1		2
#define		G244		1
#define		STAT		0

#define		DISP3		6
#define		DISP2		5
#define		DISP1		4
#define		RESET		3
#define		LBO			2
#define		TXD			1
#define		RXD			0

#define		LED_ON		0xFF
#define		LED_OFF		0
#define		LED_ERROR	0xAA
#define		LED_BUSY	0xCC
#define		LED_LB		0xF0

#define		LED1_ON		PORTB |= (1<<LED1)
#define		LED1_OFF	PORTB &= ~(1<<LED1)
#define		LED2_ON		PORTB |= (1<<LED2)
#define		LED2_OFF	PORTB &= ~(1<<LED2)
#define		LED3_ON		PORTB |= (1<<LED3)
#define		LED3_OFF	PORTB &= ~(1<<LED3)

#define		BLUETOOTH_ON	PORTD |= (1<<RESET)
#define		BLUETOOTH_OFF	PORTD &= ~(1<<RESET)

#define		OK_CRLF		0x4F4B0D0A		// OK\r\n

#define		EEPROM_SECURITY_LEVEL	((uint8_t *)1)
#define		EEPROM_SERVICE_PORT		((uint8_t *)2)

#define		EEPROM_PIN_CODE			((uint8_t *)16)

char send_command_P(PGM_VOID_P com);
char send_command(uchar *com);
char wait_ok(uchar time_out);
void put_str_P(PGM_VOID_P str);
void put_str(uchar *str);
void put_char(uchar c);

void wait_1s(void);

